/****************************************************************************
 **
 ** Copyright (C) 2010 Arzel Jrme <myst6re@gmail.com>
 **
 ** This program is free software: you can redistribute it and/or modify
 ** it under the terms of the GNU General Public License as published by
 ** the Free Software Foundation, either version 3 of the License, or
 ** (at your option) any later version.
 **
 ** This program is distributed in the hope that it will be useful,
 ** but WITHOUT ANY WARRANTY; without even the implied warranty of
 ** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ** GNU General Public License for more details.
 **
 ** You should have received a copy of the GNU General Public License
 ** along with this program.  If not, see <http://www.gnu.org/licenses/>.
 ****************************************************************************/

#include "Data.h"

QString Data::currentPath = "";
QStringList Data::abilities;
QStringList Data::magic;
QStringList Data::items;
QStringList Data::locations;
QStringList Data::weapons;
QStringList Data::names;
QStringList Data::gfnames;
QStringList Data::cards;
QStringList Data::zellLB;
QStringList Data::irvineLB;
QStringList Data::quistisLB;
QStringList Data::rinoaLB;

void Data::load()
{
	if(!abilities.isEmpty()) {
		abilities.clear();
		magic.clear();
		items.clear();
		locations.clear();
		weapons.clear();
		names.clear();
		gfnames.clear();
		zellLB.clear();
		irvineLB.clear();
		quistisLB.clear();
		rinoaLB.clear();
	}

	abilities << QString("") << QObject::tr("HP-A") << QObject::tr("Vgr-A") << QObject::tr("Dfs-A") << QObject::tr("Mgi-A") << QObject::tr("Psy-A")
			<< QObject::tr("Vts-A") << QObject::tr("Esq-A") << QObject::tr("Prc-A") << QObject::tr("Chc-A") << QObject::tr("Atq-l-A")
			<< QObject::tr("Atq-Mtl-A") << QObject::tr("Df-l-A") << QObject::tr("Df-Mtl-A") << QObject::tr("Df-lX2") << QObject::tr("Df-lX4")
			<< QObject::tr("Df-Mtl-Ax2") << QObject::tr("Df-Mtl-Ax4") << QObject::tr("CapacitX3") << QObject::tr("CapacitX4") << QObject::tr("Magie")
			<< QObject::tr("G-Force") << QObject::tr("Voler") << QObject::tr("Objets") << "???" << QObject::tr("Carte")
			<< QObject::tr("Chtiment") << QObject::tr("Mad Rush") << QObject::tr("Traitement") << QObject::tr("Dfense") << QObject::tr("Combustion")
			<< QObject::tr("Arnica") << QObject::tr("Phagocyte") << QObject::tr("Ranimer") << QObject::tr("Nv Moins") << QObject::tr("Nv Plus")
			<< QObject::tr("Kamikaze") << QObject::tr("Cannibale") << QObject::tr("Mini Kikou") << QObject::tr("HP+20%") << QObject::tr("HP+40%")
			<< QObject::tr("HP+80%") << QObject::tr("Vgr+20%") << QObject::tr("Vgr+40%") << QObject::tr("Vgr+60%") << QObject::tr("Dfs+20%")
			<< QObject::tr("Dfs+40%") << QObject::tr("Dfs+60%") << QObject::tr("Mgi+20%") << QObject::tr("Mgi+40%") << QObject::tr("Mgi+60%")
			<< QObject::tr("Psy+20%") << QObject::tr("Psy+40%") << QObject::tr("Psy+60%") << QObject::tr("Vit+20%") << QObject::tr("Vit+40%")
			<< QObject::tr("Esq+30%") << QObject::tr("Chc+50%") << QObject::tr("Piller") << QObject::tr("Schweitzer") << QObject::tr("Amorce")
			<< QObject::tr("Backlash") << QObject::tr("Empathie") << QObject::tr("Genki") << QObject::tr("Atlas-HP") << QObject::tr("Bonus HP","ability")
			<< QObject::tr("Bonus Vgr","ability") << QObject::tr("Bonus Dfs","ability") << QObject::tr("Bonus Mgi","ability") << QObject::tr("Bonus Psy","ability") << QObject::tr("Auto-Carapace")
			<< QObject::tr("Auto-Blindage") << QObject::tr("Auto-Boomerang") << QObject::tr("Auto-Booster") << QObject::tr("Auto-Potion") << QObject::tr("DoublEco")
			<< QObject::tr("TriplEco") << QObject::tr("Freud", "ability") << QObject::tr("Prudence") << QObject::tr("Clairvoyance") << QObject::tr("Mi-Combat")
			<< QObject::tr("No-Combat") << QObject::tr("Sensor") << QObject::tr("Invoc+10%") << QObject::tr("Invoc+20%") << QObject::tr("Invoc+30%")
			<< QObject::tr("Invoc+40%") << QObject::tr("HP-GF+10%") << QObject::tr("HP-GF+20%") << QObject::tr("HP-GF+30%") << QObject::tr("HP-GF+40%")
			<< QObject::tr("Turbo") << QObject::tr("Souk") << QObject::tr("Sentier") << QObject::tr("Connaisseur") << QObject::tr("Boutiques")
			<< QObject::tr("Bazars") << QObject::tr("Cra-Mgi-Cl") << QObject::tr("Cra-Mgi-Gla") << QObject::tr("Cra-Mgi-Inc") << QObject::tr("Cra-Mgi-Md")
			<< QObject::tr("Cra-Mgi-Temp") << QObject::tr("Cra-Mgi-Mtl") << QObject::tr("Cra-Mgi-Pro") << QObject::tr("Cra-Mgi-Tab") << QObject::tr("Cra-Mgi-Thr")
			<< QObject::tr("Cra-Mgi-Ana") << QObject::tr("Cra-Balles") << QObject::tr("Cra-Outils") << QObject::tr("Cra-Thr-Tab") << QObject::tr("Cra-Thr-GF")
			<< QObject::tr("Cra-Capa-GF") << QObject::tr("Cra-Mgi-Plus") << QObject::tr("Cra-Mgi-Max") << QObject::tr("Soins NV +") << QObject::tr("Mode Carte");
	
	magic << QString("-") << QObject::tr("Brasier") << QObject::tr("Brasier+") << QObject::tr("BrasierX") << QObject::tr("Glacier") << QObject::tr("Glacier+")
			<< QObject::tr("GlacierX") << QObject::tr("Foudre") << QObject::tr("Foudre+") << QObject::tr("FoudreX") << QObject::tr("H2O") << QObject::tr("Rafale") << QObject::tr("Cyanure")
			<< QObject::tr("Quart") << QObject::tr("Sidral") << QObject::tr("Fournaise") << QObject::tr("Mtore") << QObject::tr("Quake") << QObject::tr("Tornade") << QObject::tr("Ultima")
			<< QObject::tr("Apocalypse") << QObject::tr("Soin") << QObject::tr("Soin+") << QObject::tr("Soin Max") << QObject::tr("Vie") << QObject::tr("Vie Max") << QObject::tr("Rcup") << QObject::tr("Esuna")
			<< QObject::tr("Anti-sort") << QObject::tr("Carapace") << QObject::tr("Blindage") << QObject::tr("Boormg") << QObject::tr("Aura") << QObject::tr("Double") << QObject::tr("Triple") << QObject::tr("Booster")
			<< QObject::tr("Somni") << QObject::tr("Stop") << QObject::tr("Ccit") << QObject::tr("Folie") << QObject::tr("Morphe") << QObject::tr("Aphasie") << QObject::tr("Mgalith") << QObject::tr("Ankou")
			<< QObject::tr("Saigne") << QObject::tr("Supplice") << QObject::tr("Furie") << QObject::tr("Dcubitus") << QObject::tr("Zombie") << QObject::tr("Meltdown") << QObject::tr("Scan") << QObject::tr("Joobu")
			<< QObject::tr("Wall") << QObject::tr("Arkange") << QObject::tr("Percent") << QObject::tr("Catastrophe") << QObject::tr("The End");
	
	items << QString("") << QObject::tr("Potion") << QObject::tr("Potion+") << QObject::tr("Hypra-Potion") << QObject::tr("Maxi potion") << QObject::tr("Potion totale")
			<< QObject::tr("Mga potion") << QObject::tr("MT-Psy") << QObject::tr("Maxi MT-Psy") << QObject::tr("Elixir") << QObject::tr("Mgalixir") << QObject::tr("Antidote")
			<< QObject::tr("Dfijeur") << QObject::tr("Lasik") << QObject::tr("Bocca") << QObject::tr("Eau bnite") << QObject::tr("Remde") << QObject::tr("Remde +")
			<< QObject::tr("1-20-Syble") << QObject::tr("Invulnrable") << QObject::tr("1-destructible") << QObject::tr("Croisade") << QObject::tr("Roc cosse")
			<< QObject::tr("Roc carapace") << QObject::tr("Roc d'Aura") << QObject::tr("Roc mortel") << QObject::tr("Roc sacr") << QObject::tr("Roc flamboyant")
			<< QObject::tr("Roc Mtore") << QObject::tr("Roc Ultima") << QObject::tr("ChocoLgume") << QObject::tr("Golgotha","item") << QObject::tr("Pen Pal")
			<< QObject::tr("Red Kross") << QObject::tr("Zoologie") << QObject::tr("Saindoux") << QObject::tr("Potion GF") << QObject::tr("Potion GF +")
			<< QObject::tr("Mgapotion GF") << QObject::tr("Sel marin") << QObject::tr("Carte baptme") << QObject::tr("Dcapaciteur") << QObject::tr("Livret HP-A")
			<< QObject::tr("Livret Vgr-A") << QObject::tr("Livret Dfs-A") << QObject::tr("Livret Mgi-A") << QObject::tr("Livret Psy-A") << QObject::tr("Livret Vts-A")
			<< QObject::tr("Livret Chc-A") << QObject::tr("Shadow") << QObject::tr("Assaut El") << QObject::tr("Antichoc El") << QObject::tr("Assaut Mtl")
			<< QObject::tr("Antichoc Mtl") << QObject::tr("Roc Rosette") << QObject::tr("GrimoMagic") << QObject::tr("GrimoForce") << QObject::tr("GrimoVole")
			<< QObject::tr("GrimObjets") << QObject::tr("Vegas Feel") << QObject::tr("Sanatorium") << QObject::tr("MtemPsy") << QObject::tr("Bandage") << QObject::tr("Nova")
			<< QObject::tr("Rgime") << QObject::tr("Kikkou Mania") << QObject::tr("Samdhi") << QObject::tr("Zodiaque") << QObject::tr("Nuclide") << QObject::tr("Sacrum")
			<< QObject::tr("Billet") << QObject::tr("Vierge", "item1") << QObject::tr("Armure d'or") << QObject::tr("Cuirasse") << QObject::tr("Anneau Rcup") << QObject::tr("Alliance")
			<< QObject::tr("Bague Gaa") << QObject::tr("Vitamine") << QObject::tr("Sagou") << QObject::tr("Sagette") << QObject::tr("Coquille") << QObject::tr("Halcyon")
			<< QObject::tr("Adamantine") << QObject::tr("Obole") << QObject::tr("Tao") << QObject::tr("Lacan") << QObject::tr("Garcinord") << QObject::tr("Merlin")
			<< QObject::tr("Magax") << QObject::tr("Injection") << QObject::tr("SuperSonic") << QObject::tr("Pied de biche") << QObject::tr("Ecaille") << QObject::tr("Tasmania")
			<< QObject::tr("Speedy") << QObject::tr("Ractor") << QObject::tr("Protector") << QObject::tr("Pasteur") << QObject::tr("Manivelle") << QObject::tr("Trilogie")
			<< QObject::tr("Freud", "item") << QObject::tr("Balles normales") << QObject::tr("Mitra-balles") << QObject::tr("Dark balles") << QObject::tr("Balles foudre")
			<< QObject::tr("Balles tornade") << QObject::tr("Balles vloces") << QObject::tr("Balles anti-char") << QObject::tr("Balles Pulsar") << QObject::tr("Caillou magik")
			<< QObject::tr("Roc initiatique") << QObject::tr("Roc ferique") << QObject::tr("Tentacule") << QObject::tr("Onde bnite") << QObject::tr("Plumage")
			<< QObject::tr("Poudre Zombie") << QObject::tr("Bottes de 7km") << QObject::tr("9 inch nail") << QObject::tr("Enclume") << QObject::tr("Cimeterre")
			<< QObject::tr("Corne") << QObject::tr("Sanguine") << QObject::tr("EuFurysant") << QObject::tr("Epe trompeuse") << QObject::tr("Poudre Morphe")
			<< QObject::tr("Anneau de vie") << QObject::tr("Lochness") << QObject::tr("U-Boat") << QObject::tr("Etoile") << QObject::tr("Weirdo") << QObject::tr("Gen-X")
			<< QObject::tr("Fluide") << QObject::tr("M-Double") << QObject::tr("House") << QObject::tr("Chevrotine") << QObject::tr("Canicule") << QObject::tr("Germe")
			<< QObject::tr("Rhne") << QObject::tr("Rayon") << QObject::tr("Vierge", "item2") << QObject::tr("V-Choc") << QObject::tr("H-Espace") << QObject::tr("Hot Rock")
			<< QObject::tr("Molaire") << QObject::tr("Blizzard") << QObject::tr("Nunatak") << QObject::tr("Gemma Luce") << QObject::tr("Aigrette") << QObject::tr("Canine")
			<< QObject::tr("Globe d'acier") << QObject::tr("Roc lunaire") << QObject::tr("Fmur") << QObject::tr("Aquilon") << QObject::tr("Derme") << QObject::tr("Zygne")
			<< QObject::tr("Shark") << QObject::tr("Poudre Aphasie") << QObject::tr("Venin") << QObject::tr("Revenant") << QObject::tr("Dsosseur ") << QObject::tr("Kaktos")
			<< QObject::tr("Roc Shaman") << QObject::tr("Essence") << QObject::tr("Comtesse Cochon") << QObject::tr("Missive d'Edea") << QObject::tr("Collier Chocobo")
			<< QObject::tr("Collier chien") << QObject::tr("Bague du chef") << QObject::tr("Aladore") << QObject::tr("Bonus Hp","item") << QObject::tr("Bonus Vgr","item")
			<< QObject::tr("Bonus Dfs","item") << QObject::tr("Bonus Mgi","item") << QObject::tr("Bonus Psy","item") << QObject::tr("Bonus Vts","item") << QObject::tr("Bonus Chc","item")
			<< QObject::tr("Amour bestial") << QObject::tr("F.F.F. Fv") << QObject::tr("F.F.F. Mar") << QObject::tr("F.F.F. Avr") << QObject::tr("F.F.F. Mai")
			<< QObject::tr("F.F.F. Jun") << QObject::tr("F.F.F. Jul") << QObject::tr("F.F.F. Ao") << QObject::tr("Baston mag 1") << QObject::tr("Baston mag 2")
			<< QObject::tr("Baston mag 3") << QObject::tr("Baston mag 4") << QObject::tr("Baston mag 5") << QObject::tr("L'A D btes 1") << QObject::tr("L'A D btes 2")
			<< QObject::tr("L'A D btes 3") << QObject::tr("L'A D btes 4") << QObject::tr("L'A D btes 5") << QObject::tr("L'A D btes 6") << QObject::tr("Occult Fan I")
			<< QObject::tr("Occult Fan II") << QObject::tr("Occult Fan III") << QObject::tr("Occult Fan IV");

	locations << QString("???") << QObject::tr("Plaines d'Arkland - Balamb","1") << QObject::tr("Monts Gaulg - Balamb","2") << QObject::tr("Baie de Rinaul - Balamb","3") << QObject::tr("Cap Raha - Balamb","4") << QObject::tr("Fort de Rosfall - Timber","5") << QObject::tr("Mandy Beach - Timber","6") << QObject::tr("Lac Obel - Timber","7") << QObject::tr("Valle de Lanker - Timber","8") << QObject::tr("Ile Nantakhet - Timber","9") << QObject::tr("Yaulny Canyon - Timber","10") << QObject::tr("Val Hasberry - Dollet","11") << QObject::tr("Cap Holy Glory - Dollet","12") << QObject::tr("Longhorn Island - Dollet","13") << QObject::tr("Pninsule Malgo - Dollet","14") << QObject::tr("Plateau Monterosa - Galbadia","15")
			<< QObject::tr("Lallapalooza Canyon - Galbadia","16") << QObject::tr("Shenand Hill - Timber","17") << QObject::tr("Pninsule Gotland - Galbadia","18") << QObject::tr("Ile de l'Enfer - Galbadia","19") << QObject::tr("Plaine Galbadienne","20") << QObject::tr("Wilburn Hill - Galbadia","21") << QObject::tr("Archipel Rem - Galbadia","22") << QObject::tr("Dingo Dsert - Galbadia","23") << QObject::tr("Cap Winhill","24") << QObject::tr("Archipel Humphrey - Winhill","25") << QObject::tr("Ile Winter - Trabia","26") << QObject::tr("Val de Solvard - Trabia","27") << QObject::tr("Crte d'Eldbeak - Trabia","28") << QString("") << QObject::tr("Plaine d'Hawkind - Trabia","30") << QObject::tr("Atoll Albatross - Trabia","31")
			<< QObject::tr("Vallon de Bika - Trabia","32") << QObject::tr("Pninsule Thor - Trabia","33") << QString("") << QObject::tr("Crte d'Heath - Trabia","35") << QObject::tr("Trabia Crater - Trabia","36") << QObject::tr("Mont Vienne - Trabia","37") << QObject::tr("Plaine de Mordor - Esthar","38") << QObject::tr("Mont Nortes - Esthar","39") << QObject::tr("Atoll Fulcura - Esthar","40") << QObject::tr("Fort Grandidi - Esthar","41") << QObject::tr("Iles Millefeuilles - Esthar","42") << QObject::tr("Grandes plaines d'Esthar","43") << QObject::tr("Esthar City","44") << QObject::tr("Salt Lake - Esthar","45") << QObject::tr("Cte Ouest - Esthar","46") << QObject::tr("Mont Sollet - Esthar","47")
			<< QObject::tr("Valle d'Abadan - Esthar","48") << QObject::tr("Ile Minde - Esthar","49") << QObject::tr("Dsert Kashkabald - Esthar","50") << QObject::tr("Ile Paradisiaque - Esthar","51") << QObject::tr("Pic de Talle - Esthar","52") << QObject::tr("Atoll Shalmal - Esthar","53") << QObject::tr("Valle de Lolestern - Centra","54") << QObject::tr("Aiguille d'Almage - Centra","55") << QObject::tr("Vallon Lenown - Centra","56") << QObject::tr("Cap de l'espoir - Centra","57") << QObject::tr("Mont Yorn - Centra","58") << QObject::tr("Ile Pampa - Esthar","59") << QObject::tr("Val Serengetti - Centra","60") << QObject::tr("Pninsule Nectalle - Centra","61") << QObject::tr("Centra Crater - Centra","62") << QObject::tr("Ile Poccarahi - Centra","63")
			<< QObject::tr("Bibliothque - BGU","64") << QObject::tr("Entre - BGU","65") << QObject::tr("Salle de cours - BGU","66") << QObject::tr("Caftria - BGU","67") << QObject::tr("Niveau MD - BGU","68") << QObject::tr("Hall 1er tage - BGU","69") << QObject::tr("Hall - BGU","70") << QObject::tr("Infirmerie - BGU","71") << QObject::tr("Dortoirs doubles - BGU","72") << QObject::tr("Dortoirs simples - BGU","73") << QObject::tr("Bureau proviseur - BGU","74") << QObject::tr("Parking - BGU","75") << QObject::tr("Salle de bal - BGU","76") << QObject::tr("Campus - BGU","77") << QObject::tr("Serre de combat - BGU","78") << QObject::tr("Zone secrte - BGU","79")
			<< QObject::tr("Corridor - BGU","80") << QObject::tr("Temple - BGU","81") << QObject::tr("Pont - BGU","82") << QObject::tr("Villa Dincht - Balamb","83") << QObject::tr("Htel - Balamb","84") << QObject::tr("Place centrale - Balamb","85") << QObject::tr("Place de la gare - Balamb","86") << QObject::tr("Port - Balamb","87") << QObject::tr("Rsidence - Balamb","88") << QObject::tr("Train","89") << QObject::tr("Voiture","90") << QObject::tr("Vaisseau","91") << QObject::tr("Mine de souffre","92") << QObject::tr("Place du village - Dollet","93") << QObject::tr("Zuma Beach","94") << QObject::tr("Port - Dollet","95")
			<< QObject::tr("Pub - Dollet","96") << QObject::tr("Htel - Dollet","97") << QObject::tr("Rsidence - Dollet","98") << QObject::tr("Tour satellite - Dollet","99") << QObject::tr("Refuge montagneux - Dollet","100") << QObject::tr("Centre ville - Timber","101") << QObject::tr("Chane de TV - Timber","102") << QObject::tr("Base des Hiboux - Timber","103") << QObject::tr("Pub - Timber","104") << QObject::tr("Htel - Timber","105") << QObject::tr("Train - Timber","106") << QObject::tr("Rsidence - Timber","107") << QObject::tr("Ecran gant - Timber","108") << QObject::tr("Centre de presse - Timber","109") << QObject::tr("Fort de Timber","110") << QObject::tr("Entre - Fac de Galbadia","111")
			<< QObject::tr("Station Fac de Galbadia","112") << QObject::tr("Hall - Fac de Galbadia","113") << QObject::tr("Corridor - Fac de Galbadia","114") << QObject::tr("Salle d'attente - Fac Galbadia","115") << QObject::tr("Salle de cours - Fac Galbadia","116") << QObject::tr("Salle de runion - Fac Galbadia","117") << QObject::tr("Dortoirs - Fac de Galbadia","118") << QObject::tr("Ascenseur - Fac de Galbadia","119") << QObject::tr("Salle recteur - Fac Galbadia","120") << QObject::tr("Auditorium - Fac de Galbadia","121") << QObject::tr("Stade - Fac de Galbadia","122") << QObject::tr("Stand - Fac de Galbadia","123") << QObject::tr("2nde entre - Fac Galbadia","124") << QObject::tr("Gymnase - Fac de Galbadia","125") << QObject::tr("Palais prsident - Deling City","126") << QObject::tr("Manoir Caraway - Deling City","127")
			<< QObject::tr("Gare - Deling City","128") << QObject::tr("Place centrale - Deling City","129") << QObject::tr("Htel - Deling City","130") << QObject::tr("Bar - Deling City","131") << QObject::tr("Sortie - Deling City","132") << QObject::tr("Parade - Deling City","133") << QObject::tr("Egout - Deling City","134") << QObject::tr("Prison du dsert - Galbadia","135") << QObject::tr("Dsert","136") << QObject::tr("Base des missiles","137") << QObject::tr("Village de Winhill","138") << QObject::tr("Pub - Winhill","139") << QObject::tr("Maison vide - Winhill","140") << QObject::tr("Manoir - Winhill","141") << QObject::tr("Rsidence - Winhill","142") << QObject::tr("Htel - Winhill","143")
			<< QObject::tr("Voiture - Winhill","144") << QObject::tr("Tombe du roi inconnu","145") << QObject::tr("Horizon","146") << QObject::tr("Habitations - Horizon","147") << QObject::tr("Ecrans solaires - Horizon","148") << QObject::tr("Villa du maire - Horizon","149") << QObject::tr("Usine - Horizon","150") << QObject::tr("Salle des ftes - Horizon","151") << QObject::tr("Htel - Horizon","152") << QObject::tr("Rsidence - Horizon","153") << QObject::tr("Gare - Horizon","154") << QObject::tr("Aqueduc d'Horizon","155") << QObject::tr("Station balnaire","156") << QObject::tr("Salt Lake","157") << QObject::tr("Btiment mystrieux","158") << QObject::tr("Esthar City","159")
			<< QObject::tr("Laboratoire Geyser - Esthar","160") << QObject::tr("Arodrome - Esthar","161") << QObject::tr("Lunatic Pandora approche","162") << QObject::tr("Rsidence prsident - Esthar","163") << QObject::tr("Hall - Rsidence prsident","164") << QObject::tr("Couloir - Rsidence prsident","165") << QObject::tr("Bureau - Rsidence prsident","166") << QObject::tr("Accueil - Labo Geyser","167") << QObject::tr("Laboratoire Geyser","168") << QObject::tr("Deleted","169") << QObject::tr("Lunar Gate","170") << QObject::tr("Parvis - Lunar Gate","171") << QObject::tr("Glacire - Lunar gate","172") << QObject::tr("Mausole - Esthar","173") << QObject::tr("Entre - Mausole","174") << QObject::tr("Pod de confinement - Mausole","175")
			<< QObject::tr("Salle de contrle - Mausole","176") << QObject::tr("Tears Point","177") << QObject::tr("Labo Lunatic Pandora","178") << QObject::tr("Zone d'atterrissage de secours","179") << QObject::tr("Zone d'atterrissage officielle","180") << QObject::tr("Lunatic Pandora","181") << QObject::tr("Site des fouilles - Centra","182") << QObject::tr("Orphelinat","183") << QObject::tr("Salle de jeux - Orphelinat","184") << QObject::tr("Dortoir - Orphelinat","185") << QObject::tr("Jardin - Orphelinat","186") << QObject::tr("Front de mer - Orphelinat","187") << QObject::tr("Champ - Orphelinat","188") << QObject::tr("Ruines de Centra","189") << QObject::tr("Entre - Fac de Trabia","190") << QObject::tr("Cimetire - Fac de Trabia","191")
			<< QObject::tr("Garage - Fac de Trabia","192") << QObject::tr("Campus - Fac Trabia","193") << QObject::tr("Amphithatre - Fac de Trabia","194") << QObject::tr("Stade - Fac de Trabia","195") << QObject::tr("Dme mystrieux","196") << QObject::tr("Ville du dsert - Shumi Village","197") << QObject::tr("Ascenseur - Shumi Village","198") << QObject::tr("Shumi Village","199") << QObject::tr("Habitation - Shumi Village","200") << QObject::tr("Rsidence - Shumi Village","201") << QObject::tr("Habitat - Shumi Village","202") << QObject::tr("Htel - Shumi Village","203") << QObject::tr("Trabia canyon","204") << QObject::tr("Vaisseau des Seeds blancs","205") << QObject::tr("Navire des Seeds Blancs","206") << QObject::tr("Cabine - Navire Seeds blancs","207")
			<< QObject::tr("Cockpit - Hydre","208") << QObject::tr("Sige passager - Hydre","209") << QObject::tr("Couloir - Hydre","210") << QObject::tr("Hangar - Hydre","211") << QObject::tr("Accs - Hydre","212") << QObject::tr("Air Room - Hydre","213") << QObject::tr("Salle de pression - Hydre","214") << QObject::tr("Centre de recherches Deep Sea","215") << QObject::tr("Laboratoire - Deep Sea","216") << QObject::tr("Salle de travail - Deep Sea","217") << QObject::tr("Fouilles - Deep Sea","218") << QObject::tr("Salle de contrle - Base lunaire","219") << QObject::tr("Centre mdical - Base lunaire","220") << QObject::tr("Pod - Base lunaire","221") << QObject::tr("Dock - Base lunaire","222") << QObject::tr("Passage - Base lunaire","223")
			<< QObject::tr("Vestiaire - Base lunaire","224") << QObject::tr("Habitats - Base lunaire","225") << QObject::tr("Hyper Espace","226") << QObject::tr("Fort Chocobo","227") << QObject::tr("Jungle","228") << QObject::tr("Citadelle d'Ultimecia - Vestibule","229") << QObject::tr("Citadelle d'Ultimecia - Hall","230") << QObject::tr("Citadelle d'Ultimecia - Terrasse","231") << QObject::tr("Citadelle d'Ultimecia - Cave","232") << QObject::tr("Citadelle d'Ultimecia - Couloir","233") << QObject::tr("Elvateur - Citadelle","234") << QObject::tr("Escalier - Citadelle d'Ultimecia","235") << QObject::tr("Salle du trsor - Citadelle","236") << QObject::tr("Salle de rangement - Citadelle","237") << QObject::tr("Citadelle d'Ultimecia - Galerie","238") << QObject::tr("Citadelle d'Ultimecia - Ecluse","239")
			<< QObject::tr("Citadelle - Armurerie","240") << QObject::tr("Citadelle d'Ultimecia - Prison","241") << QObject::tr("Citadelle d'Ultimecia - Foss","242") << QObject::tr("Citadelle d'Ultimecia - Jardin","243") << QObject::tr("Citadelle d'Ultimecia - Chapelle","244") << QObject::tr("Clocher - Citadelle d'Ultimecia","245") << QObject::tr("Chambre d'Ultimecia - Citadelle","246") << QString("???") << QObject::tr("Citadelle d'Ultimecia","248") << QObject::tr("Salle d'initiation","249") << QObject::tr("Reine des cartes","250") << QString("???") << QString("???") << QString("???") << QString("???") << QString("???");

	weapons << QObject::tr("Pistolame") << QObject::tr("Nacre Blade") << QObject::tr("Dragon Blade") << QObject::tr("Sabreur") << QObject::tr("Katana") << QObject::tr("Kendo") << QObject::tr("Lionheart")
			<< QObject::tr("Metal Gloves") << QObject::tr("Maverick") << QObject::tr("Gauntlets") << QObject::tr("Ehrgeiz")
			<< QObject::tr("W.W.West") << QObject::tr("Roosevelt") << QObject::tr("Bertha") << QObject::tr("Steel Gun")
			<< QObject::tr("Gibet") << QObject::tr("Totally S.M.") << QObject::tr("Red Scorpio") << QObject::tr("Smiley")
			<< QObject::tr("Rotator") << QObject::tr("Walkyrie") << QObject::tr("Ninja Sun") << QObject::tr("Ptrodactyle") << QObject::tr("Trononneur")
			<< QObject::tr("Nunchak Red") << QObject::tr("Nunchak Blue") << QObject::tr("Islam Star") << QObject::tr("Sagaie")
			<< QObject::tr("Hyperion") << QObject::tr("Nada") << QObject::tr("Kalachnikov") << QObject::tr("Katal") << QObject::tr("Harpoon");

	names << QObject::tr("Squall") << QObject::tr("Zell") << QObject::tr("Irvine") << QObject::tr("Quistis") << QObject::tr("Linoa")
			<< QObject::tr("Selphie") << QObject::tr("Seifer") << QObject::tr("Edea") << QObject::tr("Laguna") << QObject::tr("Kiros")
			<< QObject::tr("Ward") << "" << QObject::tr("Cronos") << QObject::tr("MiniMog") << QObject::tr("Boko") << QObject::tr("Angel");

	gfnames << QObject::tr("Golgotha","gf") << QObject::tr("Shiva","gf") << QObject::tr("Ifrit","gf") << QObject::tr("Ondine","gf")
			<< QObject::tr("Taurus","gf") << QObject::tr("Nosferatu","gf") << QObject::tr("Ahuri","gf") << QObject::tr("Leviathan","gf")
			<< QObject::tr("Zphyr","gf") << QObject::tr("Cerberus","gf") << QObject::tr("Alexander","gf") << QObject::tr("Helltrain","gf")
			<< QObject::tr("Bahamut","gf") << QObject::tr("Pampa","gf") << QObject::tr("Tomberry","gf") << QObject::tr("Orbital","gf");
	
	zellLB << QObject::tr("Top Punch") << QObject::tr("Feinte") << QObject::tr("Achille") << QObject::tr("Forcing") << QObject::tr("Delphinium")
			<< QObject::tr("Apesanteur") << QObject::tr("Fahreinheit") << QObject::tr("Stratosphre") << QObject::tr("Trapze") << QObject::tr("Global Wave");
	
	irvineLB << QObject::tr("Furioso") << QObject::tr("Fluxion") << QObject::tr("Fracas") << QObject::tr("Fusion")
			<< QObject::tr("Barbacane") << QObject::tr("Mach 4") << QObject::tr("Apoge") << QObject::tr("Percuteur");
	
	quistisLB << QObject::tr("Fova") << QObject::tr("Ultra Waves") << QObject::tr("Firmament") << QObject::tr("Freak")
			<< QObject::tr("Dgnrator") << QObject::tr("Fron") << QObject::tr("Micro Missiles") << QObject::tr("Acid")
			<< QObject::tr("Mitraille") << QObject::tr("Dead Heat") << QObject::tr("Infection") << QObject::tr("Mistral")
			<< QObject::tr("Laser") << QObject::tr("Mother") << QObject::tr("Shockwave") << QObject::tr("Outerspace");

	rinoaLB << QObject::tr("Dingo") << QObject::tr("Shepherd") << QObject::tr("Dachshund") << QObject::tr("Borzo")
			<< QObject::tr("Laka") << QObject::tr("Nordfolk") << QObject::tr("Slnium") << QObject::tr("Phantasm");

	cards << QObject::tr("Bogomile") << QObject::tr("Fungus") << QObject::tr("Elmidea") << QObject::tr("Nocturnus") << QObject::tr("Incube") << QObject::tr("Aphide")
			<< QObject::tr("Elastos") << QObject::tr("Diodon") << QObject::tr("Carnida") << QObject::tr("Larva") << QObject::tr("Gallus") << QObject::tr("Orchida")
			<< QObject::tr("Schizod") << QObject::tr("Licorne") << QObject::tr("Xylopode") << QObject::tr("Koatl") << QObject::tr("Malaku") << QObject::tr("Arconada")
			<< QObject::tr("Formicide") << QObject::tr("Feng") << QObject::tr("Hra") << QObject::tr("Selek") << QObject::tr("Weevil") << QObject::tr("Scavenger")
			<< QObject::tr("Adphage") << QObject::tr("Phantom") << QObject::tr("Satyrux") << QObject::tr("Trogiidae") << QObject::tr("Barbarian")
			<< QObject::tr("Berseker") << QObject::tr("Pampa","card") << QObject::tr("Tomberry","card") << QObject::tr("Clbis") << QObject::tr("Eiffel") << QObject::tr("Cariatide")
			<< QObject::tr("T-rex") << QObject::tr("Succube") << QObject::tr("Tikal") << QObject::tr("Wendigo") << QObject::tr("Marsupial") << QObject::tr("Draconus")
			<< QObject::tr("Moloch") << QObject::tr("Ao") << QObject::tr("Polyphage") << QObject::tr("Ekarissor") << QObject::tr("Kanibal") << QObject::tr("Chimaira")
			<< QObject::tr("Koyo K") << QObject::tr("Protesis") << QObject::tr("Pikasso") << QObject::tr("Xylomid") << QObject::tr("Griffon") << QObject::tr("Sulfor")
			<< QObject::tr("Tomberry Sr") << QObject::tr("Wedge/Biggs") << QObject::tr("Fujin/Raijin") << QObject::tr("Sulfura") << QObject::tr("Goliath")
			<< QObject::tr("Lygus") << QObject::tr("corch") << QObject::tr("Iguanor") << QObject::tr("Hornet") << QObject::tr("Flotix") << QObject::tr("Cyanide")
			<< QObject::tr("Shumi") << QObject::tr("Krystal") << QObject::tr("Alienator") << QObject::tr("Pampa Sr") << QObject::tr("Acron") << QObject::tr("Agamemnon")
			<< QObject::tr("Anakronox") << QObject::tr("Mithra") << QObject::tr("Acarnan") << QObject::tr("Omniborg") << QObject::tr("Attila") << QObject::tr("Fabryce")
			<< QObject::tr("Monarch") << QObject::tr("Grochocobo","card") << QObject::tr("Angel","card") << QObject::tr("Gilgamesh","card") << QObject::tr("Minimog","card") << QObject::tr("Chicobo","card")
			<< QObject::tr("Golgotha","card") << QObject::tr("Shiva","card") << QObject::tr("Ifrit","card") << QObject::tr("Ondine","card") << QObject::tr("Tauros","card") << QObject::tr("Taurux","card")
			<< QObject::tr("Ahuri","card") << QObject::tr("Nosferatu","card") << QObject::tr("Leviathan","card") << QObject::tr("Odin","card") << QObject::tr("Zphyr","card") << QObject::tr("Cerbres")
			<< QObject::tr("Alexander","card") << QObject::tr("Phnix","card") << QObject::tr("Bahamut","card") << QObject::tr("Helltrain","card") << QObject::tr("Orbital","card") << QObject::tr("Ward")
			<< QObject::tr("Kiros") << QObject::tr("Laguna") << QObject::tr("Selphie") << QObject::tr("Quistis") << QObject::tr("Irvine") << QObject::tr("Zell")
			<< QObject::tr("Linoa") << QObject::tr("Edea") << QObject::tr("Seifer") << QObject::tr("Squall");
}

void Data::fillAbilities(QComboBox *comboBox)
{
	for(int i=1 ; i<Data::abilities.size() ; ++i)
		comboBox->addItem(QIcon(QString(":/images/icons/capacity%1.png").arg(Data::abilityType(i))), Data::abilities.at(i));
}

qint8 Data::abilityType(quint8 abilityID)
{
	if(abilityID >= 01 && abilityID <= 19)	return 0;
	if(abilityID >= 20 && abilityID <= 38)	return 1;
	if(abilityID >= 39 && abilityID <= 77)	return 2;
	if(abilityID >= 78 && abilityID <= 82)	return 3;
	if(abilityID >= 83 && abilityID <= 91)	return 4;
	if(abilityID >= 92 && abilityID <= 120)	return 5;
	return 0;
}

quint8 Data::itemType(quint8 itemID)
{
	if(itemID >= 01 && itemID <= 17)	return 0;
	if((itemID >= 18 && itemID <= 21)
		|| (itemID >= 30 && itemID <= 32)
		|| (itemID >= 165 && itemID <= 168))	return 1;
	if((itemID >= 22 && itemID <= 29)
		|| (itemID >= 109 && itemID <= 164)
		|| (itemID >= 169 && itemID <= 176))	return 2;
	if(itemID >= 33 && itemID <= 35)	return 5;
	if(itemID >= 36 && itemID <= 100)	return 4;
	if(itemID >= 101 && itemID <= 108)	return 3;
	return 6;
}

//Thanks to Qhimm

const quint8 Data::apsTab[116] =
{
	0,
	50,		//HP-J
	50,		//Str-J
	50,		//Vit-J
	50,		//Mag-J
	50,		//Spr-J
	120,	//Spd-J
	200,	//Eva-J
	120,	//Hit-J
	200,	//Luck-J
	160,	//Elem-Atk-J
	160,	//ST-Atk-J
	100,	//Elem-Def-J
	100,	//ST-Def-J
	130,	//Elem-Defx2
	180,	//Elem-Defx4
	130,	//ST-Def-Jx2
	180,	//ST-Def-Jx4
	150,	//Abilityx3
	200,	//Abilityx4
	1,		//Magic(20)
	1,		//GF
	1,		//Draw
	1,		//Item
	0,		//???
	40,		//Card
	60,		//Doom
	60,		//MadRush
	100,	//Treatment
	100,	//Defend
	100,	//Darkside
	200,	//Recover
	80,		//Absorb
	200,	//Revive
	100,	//LVDown
	100,	//LVUp
	100,	//Kamikaze
	100,	//Devour
	0,		//MiniMog
	60,		//HP+20%(39)
	120,	//HP+40%
	240,	//HP+80%
	60,		//Str+20%
	120,	//Str+40%
	240,	//Str+60%
	60,		//Vit+20%
	120,	//Vit+40%
	240,	//Vit+60%
	60,		//Mag+20%
	120,	//Mag+40%
	240,	//Mag+60%
	60,		//Spr+20%
	120,	//Spr+40%
	240,	//Spr+60%
	150,	//Spd+20%
	200,	//Spd+40%
	150,	//Eva+30%
	200,	//Luck+50%
	200,	//Mug
	200,	//MedData
	200,	//Counter
	0,		//ReturnDamage
	100,	//Cover
	160,	//Initiative
	200,	//MoveHP-Up
	100,	//HPBonus
	100,	//StrBonus
	100,	//VitBonus
	100,	//MagBonus
	100,	//SprBonus
	250,	//Auto-Protect
	250,	//Auto-Shell
	250,	//Auto-Reflect
	250,	//Auto-Haste
	150,	//Auto-Potion
	250,	//Expendx2-1
	250,	//Expendx3-1
	0,		//Ribbon
	200,	//Alert(78)
	40,		//Move-Find
	30,		//Enc-Half
	100,	//Enc-None
	250,	//RareItem
	40,		//SumMag+10%(83)
	70,		//SumMag+20%
	140,	//SumMag+30%
	200,	//SumMag+40%
	40,		//GFHP+10%
	70,		//GFHP+20%
	140,	//GFHP+30%
	200,	//GFHP+40%
	10,		//Boost
	150,	//Haggle(92)
	150,	//Sell-High
	150,	//Familiar
	200,	//CallShop
	150,	//JunkShop
	30,		//TMag-RF
	30,		//IMag-RF
	30,		//FMag-RF
	30,		//LMag-RF
	30,		//TimeMag-RF
	60,		//STMag-RF
	30,		//SuptMag-RF
	200,	//ForbidMag-RF
	30,		//RecovMed-RF
	30,		//STMed-RF
	30,		//Ammo-RF
	30,		//Tool-RF
	200,	//ForbidMed-RF
	30,		//GFRecovMed-RF
	30,		//GFAblMed-RF
	60,		//MidMag-RF
	60,		//HighMag-RF
	120,	//MedLVUp
	80,		//CardMod
};

const quint8 Data::innateAbilities[16][22] =
{
	{//Golgotha
		83,	// SumMag+10%
		84,	// SumMag+20%
		85,	// SumMag+30%
		87,	// GFHP+10%
		88,	// GFHP+20%
		91,	// Boost
		97,	// T Mag-RF
		112,// Mid Mag-RF
		1,	// HP-J
		48,	// Mag+20%
		49,	// Mag+40%
		10,	// Elem-Atk-J
		3,	// Vit-J
		12,	// Elem-Def-J
		14,	// Elem-Defx2
		25,	// Card
		115,// Card Mod
		4,	// Mag-J
		23,	// Item
		20,	// Magic
		21,	// GF
		22, //Draw
	},
{//Shiva
		83,	// SumMag+10%
		84,	// SumMag+20%
		85,	// SumMag+30%
		87,	// GFHP+10%
		88,	// GFHP+20%
		23,	//Item
		91,	//Boost
		98,	//IMag-RF
		3,	//Vit-J
		45,	//Vit+20%
		46,	//Vit+40%
		51,	//Spr+20%
		52,	//Spr+40%
		12,	//Elem-Def-J
		14,	//Elem-Defx2
		2,	//Str-J
		10,	//Elem-Atk-J
		26,	//Doom
		5,	//Spr-J
		20,	//Magic
		21,	//GF
		22, //Draw
	},
{//Ifrit
		83,	//SumMag+10%
		84,	//SumMag+20%
		85,	//SumMag+30%
		87,	//GFHP+10%
		88,	//GFHP+20%
		89,	//GFHP+30%
		91,	//Boost
		99,	//FMag-RF
		107,//Ammo-RF
		42,	//Str+20%
		43,	//Str+40%
		10,	//Elem-Atk-J
		66,	//StrBonus
		1,	//HP-J
		23,	//Item
		12,	//Elem-Def-J
		14,	//Elem-Defx2
		27,	//MadRush
		2,	//Str-J
		20,	//Magic
		21,	//GF
		22, //Draw
	},
{//Ondine
		87,	//GFHP+10%
		88,	//GFHP+20%
		108,//Tool-RF
		83,	//SumMag+10%
		84,	//SumMag+20%
		85,	//SumMag+30%
		91,	//Boost
		100,//LMag-RF
		106,//STMed-RF
		48,	//Mag+20%
		49,	//Mag+40%
		11,	//ST-Atk-J
		68,	//MagBonus
		23,	//Item
		13,	//ST-Def-J
		16,	//ST-Def-Jx2
		28,	//Treatment
		79,	//Move-Find
		4,	//Mag-J
		20,	//Magic
		21,	//GF
		22, //Draw
	},
{//Taurus
		83,	//SumMag+10%
		84,	//SumMag+20%
		85,	//SumMag+30%
		87,	//GFHP+10%
		88,	//GFHP+20%
		89,	//GFHP+30%
		91,	//Boost
		39,	//HP+20%
		40,	//HP+40%
		41,	//HP+80%
		65,	//HPBonus
		2,	//Str-J
		10,	//Elem-Atk-J
		5,	//Spr-J
		12,	//Elem-Def-J
		23,	//Item
		62,	//Cover
		29,	//Defend
		1,	//HP-J
		20,	//Magic
		21,	//GF
		22, //Draw
	},
{//Nosferatu
		87,	//GFHP+10%
		88,	//GFHP+20%
		89,	//GFHP+30%
		101,//TimeMag-RF
		102,//STMag-RF
		1,	//HP-J
		39,	//HP+20%
		40,	//HP+40%
		41,	//HP+80%
		4,	//Mag-J
		48,	//Mag+20%
		49,	//Mag+40%
		23,	//Item
		8,	//Hit-J
		80,	//Enc-Half
		81,	//Enc-None
		30,	//Darkside
		58,	//Mug
		18,	//Abilityx3
		20,	//Magic
		21,	//GF
		22, //Draw
	},
{//Ahuri
		87,	//GFHP+10%
		88,	//GFHP+20%
		89,	//GFHP+30%
		105,//RecovMed-RF
		45,	//Vit+20%
		46,	//Vit+40%
		67,	//VitBonus
		1,	//HP-J
		39,	//HP+20%
		40,	//HP+40%	(?)
		4,	//Mag-J
		11,	//ST-Atk-J
		13,	//ST-Def-J
		16,	//ST-Def-Jx2
		60,	//Counter
		72,	//Auto-Reflect
		23,	//Item
		18,	//Abilityx3
		3,	//Vit-J
		20,	//Magic
		21,	//GF
		22, //Draw
	},
{//Leviathan
		87,	//GFHP+10%
		88,	//GFHP+20%
		89,	//GFHP+30%
		83,	//SumMag+10%
		84,	//SumMag+20%
		85,	//SumMag+30%
		91,	//Boost
		103,//SuptMag-RF
		110,//GFRecovMed-RF
		51,	//Spr+20%
		52,	//Spr+40%
		69,	//SprBonus
		5,	//Spr-J
		14,	//Elem-Defx2
		4,	//Mag-J
		10,	//Elem-Atk-J
		74,	//Auto-Potion
		31,	//Recover
		23,	//Item
		20,	//Magic
		21,	//GF
		22, //Draw
	},
{//Zphyr
		83,	//SumMag+10%
		84,	//SumMag+20%
		85,	//SumMag+30%
		87,	//GFHP+10%
		88,	//GFHP+20%
		89,	//GFHP+30%
		91,	//Boost
		6,	//Spd-J
		54,	//Spd+20%
		55,	//Spd+40%
		42,	//Str+20%
		43,	//Str+40%
		2,	//Str-J
		12,	//Elem-Def-J
		14,	//Elem-Defx2
		10,	//Elem-Atk-J
		63,	//Initiative
		32,	//Absorb
		23,	//Item
		20,	//Magic
		21,	//GF
		22, //Draw
	},
{//Cerberus
		87,	//GFHP+10%
		88,	//GFHP+20%
		89,	//GFHP+30%
		6,	//Spd-J
		54,	//Spd+20%
		55,	//Spd+40%
		73,	//Auto-Haste
		5,	//Spr-J
		13,	//ST-Def-J
		16,	//ST-Def-Jx2
		17,	//ST-Def-Jx4
		11,	//ST-Atk-J
		18,	//Abilityx3
		2,	//Str-J
		78,	//Alert
		4,	//Mag-J
		75,	//Expendx2-1
		8,	//Hit-J
		23,	//Item
		20,	//Magic
		21,	//GF
		22, //Draw
	},
{//Alexander
		87,	//GFHP+10%
		88,	//GFHP+20%
		89,	//GFHP+30%
		83,	//SumMag+10%
		84,	//SumMag+20%
		85,	//SumMag+30%
		91,	//Boost
		59,	//MedData
		114,//MedLVUp
		51,	//Spr+20%
		52,	//Spr+40%
		113,//HighMag-RF
		18,	//Abilityx3
		10,	//Elem-Atk-J
		14,	//Elem-Defx2
		15,	//Elem-Defx4
		5,	//Spr-J
		33,	//Revive
		23,	//Item
		20,	//Magic
		21,	//GF
		22, //Draw
	},
{//Helltrain
		83,	//SumMag+10%
		84,	//SumMag+20%
		85,	//SumMag+30%
		86,	//SumMag+40%
		87,	//GFHP+10%
		88,	//GFHP+20%
		89,	//GFHP+30%
		90,	//GFHP+40%
		91,	//Boost
		71,	//Auto-Shell
		32,	//Absorb
		30,	//Darkside
		96,	//JunkShop
		109,//ForbidMed-RF
		15,	//Elem-Defx4
		17,	//ST-Def-Jx4
		23,	//Item
		10,	//Elem-Atk-J
		11,	//ST-Atk-J
		20,	//Magic
		21,	//GF
		22, //Draw
	},
{//Bahamut
		83,	//SumMag+10%
		84,	//SumMag+20%
		85,	//SumMag+30%
		86,	//SumMag+40%
		87,	//GFHP+10%
		88,	//GFHP+20%
		89,	//GFHP+30%
		90,	//GFHP+40%
		91,	//Boost
		58,	//Mug
		75,	//Expendx2-1
		70,	//Auto-Protect
		23,	//Item
		82,	//RareItem
		64,	//Move-HPUp
		44,	//Str+60%
		50,	//Mag+60%
		104,//ForbidMag-RF
		19,	//Abilityx4
		20,	//Magic
		21,	//GF
		22, //Draw
	},
{//Pampa
		87,	//GFHP+10%
		88,	//GFHP+20%
		89,	//GFHP+30%
		23,	//Item
		7,	//Eva-J
		56,	//Eva+30%
		75,	//Expendx2-1
		9,	//Luck-J
		57,	//Luck+50%
		29,	//Defend
		74,	//Auto-Potion
		63,	//Initiative
		65,	//HPBonus
		66,	//StrBonus
		67,	//VitBonus
		68,	//MagBonus
		69,	//SprBonus
		64,	//Move-HPUp
		36,	//Kamikaze
		20,	//Magic
		21,	//GF
		22, //Draw
	},
{//Tomberry
		83,	//SumMag+10%
		84,	//SumMag+20%
		85,	//SumMag+30%
		87,	//GFHP+10%
		88,	//GFHP+20%
		89,	//GFHP+30%
		91,	//Boost
		74,	//Auto-Potion
		64,	//Move-HPUp
		63,	//Initiative
		57,	//Luck+50%
		23,	//Item
		56,	//Eva+30%
		92,	//Haggle
		93,	//Sell-High
		94,	//Familiar
		95,	//CallShop
		34,	//LVDown
		35,	//LVUp
		20,	//Magic
		21,	//GF
		22, //Draw
	},
{//orbital
		83,	//SumMag+10%
		84,	//SumMag+20%
		85,	//SumMag+30%
		86,	//SumMag+40%
		87,	//GFHP+10%
		88,	//GFHP+20%
		89,	//GFHP+30%
		90,	//GFHP+40%
		91,	//Boost
		111,//GFAblMed-RF
		30,	//DarkSide
		27,	//MadRush
		8,	//Hit-J
		6,	//Spd-J
		7,	//Eva-J
		57,	//Luck+50%
		76,	//Expendx3-1
		37,	//Devour
		23,	//Item
		20,	//Magic
		21,	//GF
		22, //Draw
	},
};

const int Data::cardsLocation[256] = {
	-1,250,0,0,0,0,0,0,0,0,111,111,111,125,111,116,114,
	125,128,132,132,132,129,129,129,149,0,0,220,219,74,69,69,
	65,65,71,70,80,80,70,135,135,69,67,0,67,0,147,170,
	0,64,64,64,64,85,83,86,86,87,87,87,195,190,194,192,
	193,193,190,195,96,93,96,93,93,93,101,104,105,101,101,101,
	101,101,101,129,205,205,205,183,138,138,141,139,143,142,138,138,
	147,150,153,150,201,201,202,202,202,197,199,197,197,164,44,165,
	44,44,160,44,44,44,44,156,148,0,0,0,0,0,0,0,
	0,70,70,69,70,69,70,69,65,74,80,0,0,0,0,0,
	0,0,0,0,0,81,192,194,138,87,0,0,0,0,0,107,
	101,101,102,101,97,94,93,93,95,0,0,0,0,0,0,0,
	0,0,0,227,44,0,0,0,0,0,0,0,0,44,44,44,
	44,44,44,44,44,44,44,250,103,73,70,227,149,207,0,96,
	0,0,74,0,74,0,86,0,220,250,0,250,0,164,250,225,
	190,80,250,88,127,183,74,163,0,0,0,0,0,0,0,-2,
	0,184,1,0,0,193,1,0,0,200,1,0,0,208,1
};
