/****************************************************************************
 **
 ** Copyright (C) 2010 Arzel Jrme <myst6re@gmail.com>
 **
 ** This program is free software: you can redistribute it and/or modify
 ** it under the terms of the GNU General Public License as published by
 ** the Free Software Foundation, either version 3 of the License, or
 ** (at your option) any later version.
 **
 ** This program is distributed in the hope that it will be useful,
 ** but WITHOUT ANY WARRANTY; without even the implied warranty of
 ** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ** GNU General Public License for more details.
 **
 ** You should have received a copy of the GNU General Public License
 ** along with this program.  If not, see <http://www.gnu.org/licenses/>.
 ****************************************************************************/

#ifndef DEF_EDITOR
#define DEF_EDITOR

#include <QtGui>
#include "SaveData.h"
#include "PageWidgets/GfEditor.h"
#include "PageWidgets/PersoEditor.h"
#include "PageWidgets/ItemEditor.h"
#include "PageWidgets/TTriadEditor.h"
#include "PageWidgets/CWEditor.h"
#include "PageWidgets/DiversEditor.h"
#include "PageWidgets/ConfigEditor.h"
#include "PageWidgets/AllEditor.h"

class Editor : public QWidget
{
	Q_OBJECT
public:
	Editor(QWidget *parent=0);
	void charger(SaveData *saveData);
	void updateMode();
	void updateTime();

private:
	GfEditor *gfEditor;
	PersoEditor *persoEditor;
	ItemEditor *objetEditor;
	TTriadEditor *ttriadEditor;
	CWEditor *cwEditor;
	DiversEditor *diversEditor;
	ConfigEditor *configEditor;
	AllEditor *allEditor;

	QStackedLayout *stackedLayout;
	QListWidget *liste;
	SaveData *saveData;
	HEADER descCopy;
	MAIN copy;
	bool widgetsLoaded;
	
signals:
	void accepted();
	void rejected();

private slots:
	void setCurrentSection(int id);
	void sauver();
};

#endif
