/****************************************************************************
 **
 ** Copyright (C) 2010 Arzel Jrme <myst6re@gmail.com>
 **
 ** This program is free software: you can redistribute it and/or modify
 ** it under the terms of the GNU General Public License as published by
 ** the Free Software Foundation, either version 3 of the License, or
 ** (at your option) any later version.
 **
 ** This program is distributed in the hope that it will be useful,
 ** but WITHOUT ANY WARRANTY; without even the implied warranty of
 ** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ** GNU General Public License for more details.
 **
 ** You should have received a copy of the GNU General Public License
 ** along with this program.  If not, see <http://www.gnu.org/licenses/>.
 ****************************************************************************/

#ifndef HEADERDIALOG_H
#define HEADERDIALOG_H

#include <QtGui>
#include "SaveData.h"

#define NORMALVIEW	0
#define RESTOREVIEW	1
#define CREATEVIEW	2

class HeaderDialog : public QDialog
{
	Q_OBJECT
public:
	HeaderDialog(SaveData *saveData, QWidget *parent=0, int viewType=NORMALVIEW);
	static void fill_code(QComboBox *code);
private slots:
	void saveIcon1();
	void saveIcon2();
	void save();
private:
	static void fill_id(QComboBox *id);
	void fill(int viewType=NORMALVIEW);
	void saveIcon(bool chocobo_world_icon=false);

	QGroupBox *group1;
	QLabel *exists_lbl;
	QCheckBox *exists;
	QComboBox *country;
	QComboBox *code;
	QComboBox *id;
	QGroupBox *group2;
	QPushButton *icon2_saveButton;
	QLabel *id_lbl, *desc, *bloc, *icon1, *icon2, *icon2_lbl;
	SaveData *saveData;
};

#endif // HEADERDIALOG_H
