/****************************************************************************
 **
 ** Copyright (C) 2010 Arzel Jrme <myst6re@gmail.com>
 **
 ** This program is free software: you can redistribute it and/or modify
 ** it under the terms of the GNU General Public License as published by
 ** the Free Software Foundation, either version 3 of the License, or
 ** (at your option) any later version.
 **
 ** This program is distributed in the hope that it will be useful,
 ** but WITHOUT ANY WARRANTY; without even the implied warranty of
 ** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ** GNU General Public License for more details.
 **
 ** You should have received a copy of the GNU General Public License
 ** along with this program.  If not, see <http://www.gnu.org/licenses/>.
 ****************************************************************************/

#ifndef DEF_DIVERSEDITOR
#define DEF_DIVERSEDITOR

#include <QtGui>
#include "FF8Text.h"
#include "Data.h"
#include "Config.h"
#include "SaveData.h"

class DiversEditor : public QWidget
{
	Q_OBJECT
public:
	DiversEditor(QWidget *parent=0);
	void load(MAIN *data, int freq_value);
	void updateMode();
	void updateTime();
	void savePage();

private slots:
	void selectAll(bool);
	void nivS(int);
	void expS(int);

private:
	void fillPage();
	void buildWidget();
	bool builded;
	QWidget *buildPage1();
	QWidget *buildPage2();

	MAIN *data;
	int freq_value;

	QTabWidget *tabWidget;
	QSpinBox *tempsSecE, *tempsMinE, *tempsHourE;
	QSpinBox *seedLvlE, *seedExpE;
	QDoubleSpinBox *argentE;
	QList<QComboBox *> partyE, partySortE;
	QCheckBox *dreamE;
	QDoubleSpinBox *stepsE, *battlewinE, *countdownE;
	QSpinBox *battleescE;
	QSpinBox *testSeedE;
	QGroupBox *unknownE;
	QSpinBox *unknown2E, *unknown3E;
	QDoubleSpinBox *unknown1E, *unknown4E;

	QTreeWidget *tutoE_list;
};

#endif
