/****************************************************************************
 **
 ** Copyright (C) 2010 Arzel Jrme <myst6re@gmail.com>
 **
 ** This program is free software: you can redistribute it and/or modify
 ** it under the terms of the GNU General Public License as published by
 ** the Free Software Foundation, either version 3 of the License, or
 ** (at your option) any later version.
 **
 ** This program is distributed in the hope that it will be useful,
 ** but WITHOUT ANY WARRANTY; without even the implied warranty of
 ** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ** GNU General Public License for more details.
 **
 ** You should have received a copy of the GNU General Public License
 ** along with this program.  If not, see <http://www.gnu.org/licenses/>.
 ****************************************************************************/

#ifndef DEF_TTEDITOR
#define DEF_TTEDITOR

#include <QtGui>
#include "FF8Text.h"
#include "Data.h"
#include "Config.h"
#include "SaveData.h"
#include "SpinBoxDelegate.h"

class TTriadEditor : public QWidget
{
	Q_OBJECT
public:
	TTriadEditor(QWidget *parent=0);
	void load(MAIN *data);
	void updateMode();
	void savePage();

private slots:
	void fillRules(QListWidgetItem*,QListWidgetItem*);
	void selectAll1(bool);
	void selectAll2(bool);
	void qtyAll();
	void squallAll();

private:
	void fillPage();
	void buildWidget();
	bool builded;
	QWidget *buildPage1();
	QWidget *buildPage2();
	void saveRules(int id);

	MAIN *data;

	QTabWidget *tabWidget;
	QTreeView *cardE_view;
	QStandardItemModel *cardE_model;
	QTreeView *cardE_view2;
	QStandardItemModel *cardE_model2;
	QSpinBox *qtyAllSpin;
	QListWidget *ruleE_list;
	QComboBox *queenE, *last_regionE, *last2_regionE, *traderating_regionE, *ttcardqueenquestE;
	QSpinBox *traderatingE, *ttcountE, *ttdegenerationE;

	QGroupBox *group2;
	QList<QCheckBox *> rules;
	QList<QRadioButton *> trade_rules;
};

#endif
