#include <QtGui>
#include "QHexEdit.h"

QHexEdit::QHexEdit(QWidget *parent) : QScrollArea(parent)
{
	qHexEdit_p = new QHexEditPrivate(this);
	setWidget(qHexEdit_p);
	setWidgetResizable(true);

	connect(qHexEdit_p, SIGNAL(currentAddressChanged(int)), SIGNAL(currentAddressChanged(int)));
	connect(qHexEdit_p, SIGNAL(currentSizeChanged(int)), SIGNAL(currentSizeChanged(int)));
	connect(qHexEdit_p, SIGNAL(dataChanged()), SIGNAL(dataChanged()));
}

void QHexEdit::setAddressArea(bool addressArea)
{
	qHexEdit_p->setAddressArea(addressArea);
}

void QHexEdit::setAddressWidth(int addressWidth)
{
	qHexEdit_p->setAddressWidth(addressWidth);
}

void QHexEdit::setAsciiArea(bool asciiArea)
{
	qHexEdit_p->setAsciiArea(asciiArea);
}

void QHexEdit::setHighlighting(bool mode)
{
	qHexEdit_p->setHighlighting(mode);
}

void QHexEdit::setAddressOffset(int offset)
{
	qHexEdit_p->setAddressOffset(offset);
}

int QHexEdit::addressOffset()
{
	return addressOffset();
}

void QHexEdit::setData(const QByteArray &data)
{
	qHexEdit_p->setData(data);
}

QByteArray QHexEdit::data()
{
	return qHexEdit_p->data();
}

void QHexEdit::setAddressAreaColor(const QColor &color)
{
	qHexEdit_p->setAddressAreaColor(color);
}

QColor QHexEdit::addressAreaColor()
{
	return qHexEdit_p->addressAreaColor();
}

void QHexEdit::setHighlightingColor(const QColor &color)
{
	qHexEdit_p->setHighlightingColor(color);
}

QColor QHexEdit::highlightingColor()
{
	return qHexEdit_p->highlightingColor();
}

void QHexEdit::setFont(const QFont &font)
{
	qHexEdit_p->setFont(font);
}
