/****************************************************************************
 **
 ** Copyright (C) 2010 Arzel Jrme <myst6re@gmail.com>
 **
 ** This program is free software: you can redistribute it and/or modify
 ** it under the terms of the GNU General Public License as published by
 ** the Free Software Foundation, either version 3 of the License, or
 ** (at your option) any later version.
 **
 ** This program is distributed in the hope that it will be useful,
 ** but WITHOUT ANY WARRANTY; without even the implied warranty of
 ** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ** GNU General Public License for more details.
 **
 ** You should have received a copy of the GNU General Public License
 ** along with this program.  If not, see <http://www.gnu.org/licenses/>.
 ****************************************************************************/

#ifndef DEF_SAVEDATA
#define DEF_SAVEDATA

#include <QtCore>

struct GFORCES//68
{
	char name[12];
	quint32 exp;
	quint8 u1;
	quint8 exists;
	quint16 HPs;
	quint8 completeAbilities[16];//115+1 valides, 124 existantes
	quint8 APs[24];// 22 + 2 inused
	quint16 kills;
	quint16 KOs;
	quint8 learning;
	quint32 forgotten : 24;// 22 + 2 inused
};

struct PERSONNAGES//152
{
	quint16 current_HPs;
	quint16 HPs;
	quint32 exp;
	quint8 ID;
	quint8 weaponID;
	quint8 VGR;
	quint8 DFS;
	quint8 MGI;
	quint8 PSY;
	quint8 VTS;
	quint8 CHC;
	quint16 magies[32];
	quint8 commands[3];
	quint8 u1;// inused command (padding)
	quint8 abilities[4];
	quint16 gfs;
	quint8 u2;// used unknown value
	quint8 alternative_model;// Seed costume/Galbadia costume
	quint8 j_HP;
	quint8 j_VGR;
	quint8 j_DFS;
	quint8 j_MGI;
	quint8 j_PSY;
	quint8 j_VTS;
	quint8 j_ESQ;
	quint8 j_PRC;
	quint8 j_CHC;
	quint8 j_attEle;
	quint8 j_attMtl;
	quint8 j_defEle[4];
	quint8 j_defMtl[4];
	quint8 u3;// padding ?
	quint16 compatibility[16];
	quint16 kills;
	quint16 KOs;
	quint8 exists;
	quint8 u4;
	quint8 status;
	quint8 u5;// padding ?
};

struct U1//20
{
	quint8 u1[20];
};

struct CONFIG//20
{
	quint8 vts_combat;
	quint8 vts_msg_combat;
	quint8 vts_msg;
	quint8 analog_volume;
	quint8 divers;//joystick|vibration|manette|???|???|pointeur|son|ATB
	/* unsigned ATB : 1;
	unsigned son : 1;
	unsigned pointeur : 1;
	unsigned u2 : 1;
	unsigned u1 : 1;
	unsigned manette : 1;
	unsigned vibration : 1;
	unsigned joystick : 1; */
	quint8 scan;
	quint8 camera;
	quint8 u3;
	quint8 L2;
	quint8 R2;
	quint8 L1;
	quint8 R1;
	quint8 TRIANGLE;
	quint8 ROND;
	quint8 CROIX;
	quint8 CARRE;
	quint8 SELECT;
	quint8 u4;
	quint8 u5;
	quint8 START;
};

struct MISC//32
{
	quint8 party[4];// party[3] always=255
	quint32 u1;
	char cronos[12];
	quint16 u2;// always 7966 ?
	quint16 u3;
	quint32 argent;
	quint32 u4;// always 3000 ?
};

struct LIMITB//16
{
	quint16 quistis;
	quint16 zell;
	quint8 irvine;
	quint8 selphie;
	quint8 angel_completed;
	quint8 angel_known;
	quint8 angel_pts[8];
};

struct OBJETS//428
{
	quint8 battle_order[32];
	quint16 items[198];
};

struct STATS//144
{
	quint32 game_time;
	quint32 countdown;
	quint32 u1;
	quint32 combats_gagnes;
	quint16 u2;
	quint16 combats_fuis;
	quint32 u3;
	quint16 tomberry_vaincus;
	quint16 u3b;
	quint8 tomberry_sr_vaincu;
	quint8 u4[51];
	quint8 renzokuken_auto;
	quint8 renzokuken_indicator;
	quint8 dream;//dream|Odin|Phoenix|Gilgamesh|Angelo disabled|Angel Wing enabled|???|???
	quint8 tutorial_infos[16];
	quint8 testLevel;
	quint8 u5[4];
	quint8 party[4];// party[3] always=255
	quint8 u6[6];
	quint16 location;
	quint16 location_last;
	quint8 u7[26];
};

struct TTRULES//29
{
	quint8 tt_rules[8];
	quint8 tt_traderules[8];
	quint8 tt_lastrules[2];
	quint8 tt_lastregion[2];
	quint8 u1;// Unused in save
	quint8 tt_currules;// Unused in save
	quint8 tt_curtraderule;// Unused in save
	quint8 tt_cardqueen_location;
	quint8 tt_traderating_region;
	quint8 tt_traderating;
	quint8 tt_degeneration;
	quint8 tt_curtraderulequeen;
	quint8 tt_cardqueen_quest;
};

struct TTCARDS//117
{
	quint8 cards[77];
	quint8 card_locations[33];
	quint8 cards_rare[5];
	quint8 u1;
	quint16 tt_victory_count;
};

struct FIELDVARS//1536
{
	quint32 u1;// Const : "FF-8"
	quint32 steps;
	quint16 payslip;
	quint8 u2[6];
	quint16 seedExp;
	quint16 u3a;
	quint32 victory_count;
	quint16 u3b;
	quint16 battle_escaped;
	quint16 kills[8];// squall-zell-irvine-quistis-rinoa-selphie-seifer-edea
	quint16 ko[8];// squall-zell-irvine-quistis-rinoa-selphie-seifer-edea
	quint8 u3c[8];
	quint32 monster_kills;
	quint32 gils;
	quint32 u3d;
	quint32 current_movie_frame;
	quint16 last_field_id;
	quint8 u3e;// used
	quint8 music_util;
	quint8 savepoint_util;
	quint8 u3[91];
	quint32 steps2;
	quint8 u4[72];
	/* ==== 256 ==== */
	quint16 game_moment;// var256 in field scripts
	quint8 u5[14];
	TTRULES ttrules;//			(pos=4080)		[26/29 editable]
	quint8 u6[774];//			(pos=4109)		[0/774 editable] (4285=tt club cc|4286=tt victory count BGU)
	quint8 u7[333];// unused ?
	TTCARDS ttcards;//			(pos=5216)		[115/118 editable]
	quint8 u8[10];//			(pos=5334)		[0/10 editable]
};

struct CHOCOBO//64
{
	quint8 enabled;
	quint8 level;
	quint8 current_hp;
	quint8 max_hp;
	quint16 weapon;// 4 bit = 1 weapon
	quint8 u1[6];
	quint16 id_related;
	quint8 u2[32];
	quint8 boko_attack;
	quint8 u3[17];
};

struct MAIN//4944
{
	GFORCES gfs[16];//			(pos=464|ar_pos_fr=pos + 489104)	[1088/1088 editable]
	PERSONNAGES persos[8];//	(pos=1552)		[1216/1216 editable]
	U1 u1[20];//				(pos=2768)		[0/400 editable]
	CONFIG config;//			(pos=3168)		[20/20 editable]
	MISC misc;//				(pos=3188)		[32/32 editable]
	LIMITB limitb;//			(pos=3220)		[16/16 editable]
	OBJETS objets;//			(pos=3236)		[428/428 editable]
	STATS stats;//				(pos=3664)		[40/144 editable]
	FIELDVARS fieldVars;//		(pos=3808)		[147/1536 editable]
	CHOCOBO chocobo;//			(pos=5344)		[0/64 editable]
};

struct HEADER//76	(pos=388)		[48/76 editable]
{
	quint16 locationID;
	quint16 hpLeader;
	quint16 hpMaxLeader;
	quint16 saveCount;
	quint32 gils;
	quint32 time;
	quint8 nivLeader;
	quint8 party[3];
	char squall[12];
	char linoa[12];
	char angelo[12];
	char boko[12];
	quint32 disc;
	quint32 cur_save;
};

#include "FF8Text.h"
#include "SaveIcon.h"
#include "Data.h"
#include "LZS.h"

class SaveData
{
public:
	SaveData(int id, QByteArray data, QByteArray MC=QByteArray());
	~SaveData();

	QByteArray sauver();
	QString perso(quint8 id);
	QString getShortDescription();
	bool exportPC(QString path);
	void restore();
	QByteArray MC_header();
	QByteArray saveMC_header();// with xor byte
	QByteArray header();
	void setMC_header(QByteArray);
	void setMC_header_id(int);
	QPixmap icon(bool chocobo_world_icon=false);
	SaveIcon *saveIcon();
	HEADER descData();
	void setDescData(HEADER);
	MAIN mainData();
	void setMainData(MAIN);

	int freq_value();
	int id();
	bool isFF8();
	bool isDelete();
	bool isInvalid();
	bool hasMC_header();
	bool isJp();

	static quint8 xorByte(const char *data);

private:
	bool charger(QByteArray);

	QByteArray _MC_header;
	QByteArray _header;
	SaveIcon _icon;
	HEADER _descData;
	MAIN _mainData;

	int _freq_value, _id;
	bool _isFF8, _isDelete, _isInvalid;

	static quint16 calcChecksum(const char *data);
	static const quint16 crcTab[256];
};

#endif
