/****************************************************************************
 **
 ** Copyright (C) 2010 Arzel Jrme <myst6re@gmail.com>
 **
 ** This program is free software: you can redistribute it and/or modify
 ** it under the terms of the GNU General Public License as published by
 ** the Free Software Foundation, either version 3 of the License, or
 ** (at your option) any later version.
 **
 ** This program is distributed in the hope that it will be useful,
 ** but WITHOUT ANY WARRANTY; without even the implied warranty of
 ** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ** GNU General Public License for more details.
 **
 ** You should have received a copy of the GNU General Public License
 ** along with this program.  If not, see <http://www.gnu.org/licenses/>.
 ****************************************************************************/

#ifndef DEF_SAVEWIDGET
#define DEF_SAVEWIDGET

#include <QtGui>
#include "SaveData.h"
#include "HeaderDialog.h"

class SaveWidget : public QWidget
{
	Q_OBJECT
public:
	SaveWidget(SaveData *saveData, QWidget *parent=0);
	~SaveWidget();

	void hideCursor();
	void setSaved(bool);
	void repaintAll();
private:
	void restore();
	static void drawFrame(QPainter *painter, int width, int height);
	static void num2pix(QPainter *painter, int x, int y, quint32 num, quint8 space=1, QChar fill=QChar(' '), int color=0);
	static void colors(QImage *image, int color);

	SaveData *saveData;
	bool saved, hovered, refreshCache;
	static QImage fontPixmap;
	QPixmap paintCache;

private slots:
	void exportPC();
	void properties();
	void refreshIcon();

signals:
	void released(SaveData *saveData);
	void entered(int id);
	void changed();
	
protected:
	void paintEvent(QPaintEvent *event);
	void enterEvent(QEvent *event);
	void mouseReleaseEvent(QMouseEvent *event);
	void contextMenuEvent(QContextMenuEvent *event);
	void changeEvent(QEvent *event);
};

#endif
