/****************************************************************************
 **
 ** Copyright (C) 2010 Arzel Jrme <myst6re@gmail.com>
 **
 ** This program is free software: you can redistribute it and/or modify
 ** it under the terms of the GNU General Public License as published by
 ** the Free Software Foundation, either version 3 of the License, or
 ** (at your option) any later version.
 **
 ** This program is distributed in the hope that it will be useful,
 ** but WITHOUT ANY WARRANTY; without even the implied warranty of
 ** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ** GNU General Public License for more details.
 **
 ** You should have received a copy of the GNU General Public License
 ** along with this program.  If not, see <http://www.gnu.org/licenses/>.
 ****************************************************************************/

#ifndef DEF_SAVECARD
#define DEF_SAVECARD

#include <QtGui>
#include "LZS.h"
#include "SaveWidget.h"
#include "HeaderDialog.h"

#define PC		0
#define PS		1
#define VGS		2
#define GME		3
#define VMP		4
#define PSV		5
#define PCDIR	6

class Savecard : public QListWidget
{
	Q_OBJECT

public:
	Savecard(QString chemin, QWidget *parent=0, bool slot=false);
	~Savecard();

	void updateSaveWidget(int saveID, bool saved=false);
	void updateSaveWidgets();
	QList<SaveData *> getSaves();
	void sauverUn(qint8 num, QString path=QString());
	void sauver2PS(QList<int> ids, QString path);
	void sauverDossier(quint8);

	QString chemin();
	QString name();
	void setName(QString name);
	bool ok();
	quint8 type();
//	static void compare(QByteArray oldData, QByteArray newData);
	
public slots:
	void sauver(QString saveAs=QString());

private slots:
	void moveCursor(int);
	void notifyFileChanged(const QString &path);

private:
	QString _chemin;
	QString _name;
	bool _ok;
	quint8 _type;

	void setPath(QString path);
	bool ps();
	bool ps3();
	bool pc();
	void directory();
	void addSave(QByteArray data=QByteArray(), QByteArray header=QByteArray());
	QByteArray header(QFile *srcFile, QString extension, bool saveAs, bool *abort);
	QByteArray desc_gme(QString desc, bool *abort);

	quint16 start;//Dpart de la sauvegarde <=> taille du header rajout
	QFileSystemWatcher fileWatcher;
	bool notify;
	QList<SaveData *> saves;
};

#endif
